DynamicToken (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class DynamicToken

- java.lang.Object
- - hlt.language.syntax.ParseNode
  - - hlt.language.syntax.DynamicToken

- All Implemented Interfaces:
    Locatable, TimeStamped

      public class DynamicToken
      extends ParseNode
      implements TimeStamped

  This class is the type of objects used for token nodes in a dynamic parser.
  Version:
    Last modified on Fri Apr 13 19:57:56 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicToken(ParseNode node)`
    `DynamicToken(ParserOperator operator, ParseNode node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimeStamp()` Returns this object's time stamp.
    `void` | `makeOperator(ParserOperator operator)`
    `void` | `setTimeStamp(long stamp)` Stamp this object with the specified time stamp.

    - ### Methods inherited from class hlt.language.syntax.ParseNode

      `addAlternative, alternatives, associativity, child, children, copy, copy, display, display, equals, firstChild, fixity, getEnd, getFile, getLineNumber, getSpan, getStart, hasAlternatives, hasChildren, hasValue, hasXmlForm, isEmptyNode, isEOI, isError, isInnerNode, isInteger, isLeafNode, isLocated, isOperator, isTerminal, isUnknown, lastChild, locate, locationString, makeInteger, nodeInfo, numberOfChildren, nvalue, operator, precedence, setChildren, setEnd, setFile, setLineNumber, setNvalue, setOperator, setSpan, setStart, setSvalue, setSymbol, setXmlInfo, show, show, show, showXmlElement, span, stringValue, svalue, symbol, toString, xmlDocument, xmlDocument, xmlForm, xmlify`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicToken

          public DynamicToken(ParseNode node)

    - #### DynamicToken

          public DynamicToken(ParserOperator operator,
                      ParseNode node)

  - ### Method Detail

    - #### getTimeStamp

          public final long getTimeStamp()

      Description copied from interface: `TimeStamped`
      Returns this object's time stamp.
      Specified by:
        `getTimeStamp` in interface `TimeStamped`

    - #### setTimeStamp

          public final void setTimeStamp(long stamp)

      Description copied from interface: `TimeStamped`
      Stamp this object with the specified time stamp.
      Specified by:
        `setTimeStamp` in interface `TimeStamped`

    - #### makeOperator

          public final void makeOperator(ParserOperator operator)